الترقية إلى أحدث الضفيرة و SSL المفتوحة في متصفح الويب

المشكلة:
مقدمي خدمات التجارة الإلكترونية مثل Paypal وعرض متطلبات SSL صارمة أكثر. من:
“يتطلب OpenSSL >= 1.0.1 ليتم تثبيتها على الملقم الخاص بك”

يظهر معلومات بي إتش بي:
الضفيرة
SSL الإصدار بينسل/1.0.0

حل:

  • تثبيت آخر الضفيرة:

القرص المضغوط/usr/local/src
wget https://curl.haxx.se/download/curl-7.52.1.tar.gz
tar-xvzf curl-7.52.1
مؤتمر نزع السلاح حليقه *

./تكوين –محلل تمكين مترابطة –تمكين http –تمكين بروتوكول نقل الملفات –تمكين الوكيل –تمكين-tftp –تمكين ntlm –تمكين-ثابت –مع ssl =/usr/المحلية/ssl –تمكين ipv6 –تمكين المشترك –مع-libidn
جعل && جعل تثبيت

/البيره/المحلية/بن/حليقه –نسخة

  • تكوين PHP لاستخدامه-إنشاء ملف جديد/var/cpanel/easy/apache/rawopts/all_php5 مع هذه المحتويات:
    –مع-حليقه =/usr/local/src/curl-7.52.1
  • أعاده بناء أباتشي & PHP مع ايزي أباتشي 3.

نتيجه:

يجب ان تظهر معلومات PHP الآن:
معلومات الضفيرة 7.52.1
SSL الإصدار بينسل/1.0.1 e

تثبيت مجلد مشترك مع دعم SSL

To solve errors likeHTTPS support not compiled in.” :

مجلد مشترك HTTP://ftp.gnu.org/gnu/wget/wget-1.13.tar.gz
tar xvzf wget-1.13.tar.gz
cd wget-1.13
./تكوين –with-ssl=openssl
جعل
جعل تثبيت
echo y | cp -f src/wget /usr/bin/
مجلد مشترك –مساعدة